# Uses of Enum Class
org.springframework.jmx.support.MetricType

Packages that use MetricType
Package
Description
org.springframework.jmx.export.metadata
Provides generic JMX metadata classes and basic support for reading JMX metadata in a provider-agnostic manner.
org.springframework.jmx.support
Contains support classes for connecting to local and remote `MBeanServer`s and for exposing an `MBeanServer` to remote clients.

## Uses of MetricType in org.springframework.jmx.export.metadata

Methods in org.springframework.jmx.export.metadata that return MetricType
Modifier and Type
Method
Description
`MetricType`
ManagedMetric.`getMetricType()`
A description of how this metric's values change over time.
Methods in org.springframework.jmx.export.metadata with parameters of type MetricType
Modifier and Type
Method
Description
`void`
ManagedMetric.`setMetricType(MetricType metricType)`
A description of how this metric's values change over time.

## Uses of MetricType in org.springframework.jmx.support

Methods in org.springframework.jmx.support that return MetricType
Modifier and Type
Method
Description
`static MetricType`
MetricType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static MetricType[]`
MetricType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.